import { EventEmitter, OnChanges, AfterViewInit, ElementRef } from '@angular/core';
import { Item } from './../../commons/interfaces/item.interface';
import { DomAttr } from '../../commons/extends/attr.class';
import { DropdownDirective } from '../dropdown/dropdown.directive';
export declare class SelectsComponent extends DomAttr implements OnChanges, AfterViewInit {
    private elementRef;
    items: Array<Item>;
    placeholder: string;
    values: any[];
    emptyLabel: string;
    searchLabel: string;
    valuesChange: EventEmitter<any>;
    optionChange: EventEmitter<any>;
    dropdown: DropdownDirective;
    title: string;
    searchKey: string;
    activeItems: Array<Item>;
    constructor(elementRef: ElementRef);
    readonly searchItems: Item[];
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    cleanSearch(): void;
    setValue(item: Item): void;
    isActiveItem(item: Item): boolean;
}
